MODULE earth_const
  USE prec
  USE math_const
  
  REAL(rstd),SAVE :: radius=6.37122E6
  REAL(rstd),SAVE :: g=9.80616
  REAL(rstd),PARAMETER :: daysec=86400
  REAL(rstd),SAVE :: omega=7.292E-5
  REAL(rstd),SAVE :: kappa=0.2857143
  REAL(rstd),SAVE :: cpp=1004.70885
  REAL(rstd),SAVE :: preff=101325.
  REAL(rstd),SAVE :: pa=50000.
  REAL(rstd),SAVE :: scale_factor=1.

CONTAINS
  
  SUBROUTINE init_earth_const
  USE ioipsl
  IMPLICIT NONE
  REAL(rstd) :: X=1
  
    CALL getin("radius",radius)
    CALL getin("g",g)
    CALL getin("X",scale_factor)
    CALL getin("omega",omega)  
    CALL getin("kappa",kappa)  
    CALL getin("cpp",cpp)  
    CALL getin("preff",preff)  
    
    radius=radius/scale_factor
    omega=omega/scale_factor
    PRINT *,"radius = ",radius
    
  END SUBROUTINE init_earth_const
  
  
END MODULE earth_const
  
